{% extends 'user.html.twig' %}

{% block title %}Cours {{ cours }}{% endblock %}

{% block body %}
<section class="container">
    <div class="row justify-content-md-center p-5">
        <h2>Cours: {{ cours }}</h2>
        <div class="d-grid gap-2 d-md-flex justify-content-md-end">
            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                Ajout stagiaire
            </button>
            <a href="{{ path("cours_cloture_pv", {id:cours.id})}}" class="btn btn-primary" role="button"><i class="bi bi-download"></i></a>
        </div>
        <table class="table striped">
            <tbody>
                <tr>
                    <th>Nom du cours</th>
                    <td>{{ cours.nomCours }}</td>
                </tr>
                <tr>
                    <th>Adresse</th>
                    <td>{{ cours.adresse }}</td>
                </tr>
                <tr>
                    <th>Code postale</th>
                    <td>{{ cours.cp }}</td>
                </tr>
                <tr>
                    <th>Ville</th>
                    <td>{{ cours.ville }}</td>
                </tr>
                <tr>
                    <th>Date de début</th>
                    <td>{{ cours.dateDebut | date("d/m/Y") }}</td>
                </tr>
                <tr>
                    <th>Date de fin</th>
                    <td>{{ cours.dateFin | date("d/m/Y") }}</td>
                </tr>
                <tr>
                    <th>Nombre de stagiaires</th>
                    <td>{{ cours.nbStagiaire }}</td>
                </tr>
                <tr>
                    <th>Cours validé</th>
                    <td>
                    {% if cours.validationCours == 0 %}
                        Cours Non validé
                    {% else %}
                        Cours validé
                    {% endif %}
                    </td>
                </tr>
                <tr>
                    <th>Formation</th>
                    <td>
                        {% for coursF in cours.formation %}
                            {{coursF.libelleFormation}}
                         {% else %}
                            Pas de Formation
                        {% endfor %}
                    </td>
                </tr>
                <tr>
                    <th>Structure</th>
                    <td>
                        {% for coursS in cours.structure %}
                            {{coursS.nomStructure}}
                        {% else %}
                            Pas de structure
                        {% endfor %}
                    </td>
                </tr>
                <tr>
                    <th>Delegation</th>
                    <td>
                        {% for coursD in cours.delegation %}
                            {{coursD.nomDelegation}}
                        {% else %}
                            Pas de délégation
                        {% endfor %}
                    </td>
                </tr>
                <tr>
                    <th>Formateur Principal</th>
                    <td>
                        {% for coursFP in cours.formateurPrincipal %}
                            {{coursFP.nom}} {{coursFP.prenom}}
                        {% endfor %}
                    </td>
                </tr>
                <tr>
                    <th>Formateurs</th>
                    <td>
                        {% for coursF in cours.formateurs %}
                            {{coursF.nom}} {{coursF.prenom}}
                        {% else %}
                            Pas d'autres formateurs
                        {% endfor %}
                    </td>
                </tr>
                <tr>
                    <th>Stagiaires</th>
                    <td>
                        {% for coursSui in cours.coursStagiaires %}
                            {{coursSui.stagiaire}}
                        {% else %}
                            Pas de stagiaire
                        {% endfor %}
                    </td>
                </tr>
                <tr>
                    <th>Adhérents</th>
                    <td>
                        {% for coursSuiv in cours.coursSuivis %}
                            {{coursSuiv.user}}
                        {% else %}
                            Pas d'adhérent
                        {% endfor %}
                    </td>
                </tr>
            </tbody>
        </table>
        <!-- Ajout stagiaire cours -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Ajouter un/des stagiaire(s)</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    {{ form_start(form) }}
                    <div class="modal-body">
                        {{ form_row(form.stagiaires) }}
                        {{ form_row(form.adherents) }}
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary">Ajouter</button>
                        <button data-target="modale-contact" class="btn btn-secondary modal-trigger">Fermer</button>
                    </div>
                    {{ form_end(form) }}
                </div>
            </div>
        </div>
    </div>
</section>
{% endblock %}